﻿// BSLLS:CommonModuleNameCached-off

// Прокси вызовов общих модулей других подсистем.
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

// Возвращает общий модуль СтроковыеФункцииКлиентСервер
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция СтроковыеФункцииКлиентСервер() Экспорт
	
	Возврат Модуль("СтроковыеФункцииКлиентСервер");
	
КонецФункции // СтроковыеФункцииКлиентСервер 

// Возвращает общий модуль ОбщегоНазначения
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция ОбщегоНазначения() Экспорт
	
	Возврат Модуль("ОбщегоНазначения");
	
КонецФункции // ОбщегоНазначения 

// Возвращает общий модуль РаспределениеЗапасов
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция РаспределениеЗапасов() Экспорт
	
	Возврат Модуль("РаспределениеЗапасов");
	
КонецФункции // РаспределениеЗапасов 

// Возвращает общий модуль УчетнаяПолитика
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция УчетнаяПолитика() Экспорт
	
	Возврат Модуль("УчетнаяПолитика");
	
КонецФункции // УчетнаяПолитика 

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

// Возвращает общий модуль по имени
//
// Параметры:
//  Имя - Строка - имя модуля
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция Модуль(Имя)
	
	Возврат Вычислить(Имя);
	
КонецФункции // Модуль 

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on

// BSLLS:CommonModuleNameCached-on